Referenceregistries
List skills in a registry
Path Parameters
ownerHandle*string
Length
length <= 64slug*string
Length
length <= 64Query Parameters
type?string
Value in
- "project"
- "general"
- "meta"
includeDeprecated?boolean
cursor?string
Length
1 <= length <= 4096limit?integer
Range
1 <= value <= 100Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/registries/string/string/skills"{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "ref": "string", "name": "string", "type": "project", "description": "string", "keywords": [ "string" ], "latestVersion": "string", "deprecated": { "at": "2019-08-24T14:15:22Z", "message": "string" }, "updatedAt": "2019-08-24T14:15:22Z" } ], "nextCursor": "string"}{ "defined": true, "code": "UNAUTHORIZED", "status": 401, "message": "Authentication required or credentials invalid.", "data": null}{ "defined": true, "code": "NOT_FOUND", "status": 404, "message": "The requested resource does not exist.", "data": { "resource": "string" }}{ "defined": true, "code": "VALIDATION", "status": 422, "message": "The input failed domain validation.", "data": { "issues": [ { "path": "string", "message": "string" } ] }}{ "defined": true, "code": "RATE_LIMITED", "status": 429, "message": "Rate limit exceeded; retry later.", "data": { "retryAfterSeconds": -9007199254740991 }}